// *********************************************************************
// *                                                                   *
// * (c) 1997-2004 Andreas Ziermann LOET.DE                            *
// *                                                                   *
// * These files are for reference only. You may not use these files   *
// * for commercial purpose use without permit.                        *
// *                                                                   *
// * b@loet.de                                                         *
// *                                                                   *
// * 1.00 2004-07-04                                                   *
// *      first released                                               *
// *                                                                   *
// *********************************************************************

#ifndef __ERRORDEFS_H__
#define __ERRORDEFS_H__

enum AZErrorClass
{
  AZC_ARGUMENTS =1
};

enum AZErrorCode
{
  NONE         = 0          , // kein FEHLER
  ERR_OPTION_NEEDS_ARGUMENT , // zur angegebenen option braucht es ein argument
  ERR_OPTION_EXPECTED       , // es wurde eine option erwartet; z.B. -option
  ERR_OPTION_INVALID        , // ungueltige option; diese wird nicht gebraucht
  ERR_OPTION_NOTANOPTION    , // faengt nicht mit - an; ist keine option
  ERR_OPTION_REQUIRED       , // option wird benoetigt, wurde aber nicht angegeben
  ERR_OPTION_EXCLUDES       , // option -a vorhanden, -b darf nicht gesetzt sein
  ERR_OPTION_INCLUDES       , // option -a bentigt auch option -b
  ERR_OPTION_WRONG_TYPE     , // parameter fuer eine option passt nicht zur definition
                              // z.b. AZULongArgument size -> -size -4
};

#endif
