// *********************************************************************
// *                                                                   *
// * (c) 1997-2004 Andreas Ziermann LOET.DE                            *
// *                                                                   *
// * These files are for reference only. You may not use these files   *
// * for commercial purpose use without permit.                        *
// *                                                                   *
// * b@loet.de                                                         *
// *                                                                   *
// * 1.00 2004-07-04                                                   *
// *      first released                                               *
// *                                                                   *
// *********************************************************************

#ifdef __DOS16__
  #define CHAR_KU_UML ""
  #define CHAR_KO_UML ""
#else
  #define CHAR_KU_UML ""
  #define CHAR_KO_UML ""
#endif


#ifdef LANG_GER

#define IDS_ARG_CONFIG  "Konfigurationsdatei"
#define IDS_ARG_HELP    "diese Hilfeseite"
#define IDS_ARG_QUIET   "keine Ausgaben"
#define IDS_ARG_DEBUG   "Debug-Modus; 5: alle Debug-Meldungen einschalten"
#define IDS_ARG_VERSION "Versionsinformation"
#define IDS_FILENAME    "Dateiname"
#define IDS_PARAMETER   "Parameter"

#define IDS_OPTION_INVALID        "Unbekannte Option: "
#define IDS_OPTION_NEEDS_ARGUMENT "Parameter fehlt f"CHAR_KU_UML"r Option : "
#define IDS_OPTION_EXPECTS_PARA   "Parameter erwartet vor Option: "
#define IDS_OPTION_NOTANOPTION    "Keine g"CHAR_KU_UML"ltige Option: "
#define IDS_OPTION_REQUIRED       "Option muss angegeben werden: "
#define IDS_OPTION_AREQUIRES      "Option: "
#define IDS_OPTION_REQUIRESB      " erfordert auch Option: "
#define IDS_OPTION_EXCLUDESB      " kann nicht verwendet werden mit Option: "
#define IDS_OPTION_ATLEAST        "Wenigstens eine der Optionen m"CHAR_KU_UML"ssen angegeben werden: "
#define IDS_OPTION_STARTSMINUS    " hat als Parameter: "
#define IDS_OPTION_RCSET          "Option -rc gesetzt, Datei nicht ge"CHAR_KO_UML"ffnet werden: "
#define IDS_OPTION_WRONG_TYPE     "Parameter hat falsches Format f"CHAR_KU_UML"r Option : "

#else

#define IDS_ARG_CONFIG  "config-file"
#define IDS_ARG_HELP    "this Page"
#define IDS_ARG_QUIET   "quiet mode"
#define IDS_ARG_DEBUG   "debug mode; 5: enable all debug messages"
#define IDS_ARG_VERSION "version information"
#define IDS_FILENAME    "filename"
#define IDS_PARAMETER   "Parameter"

#define IDS_OPTION_INVALID        "unknown option: "
#define IDS_OPTION_NEEDS_ARGUMENT "parameter missing for option: "
#define IDS_OPTION_EXPECTS_PARA   "parameter expected before option: "
#define IDS_OPTION_NOTANOPTION    "this is not an option: "
#define IDS_OPTION_REQUIRED       "missing option: "
#define IDS_OPTION_AREQUIRES      "option: "
#define IDS_OPTION_REQUIRESB      " requires option: "
#define IDS_OPTION_EXCLUDESB      " may not used with option: "
#define IDS_OPTION_ATLEAST        "need one of these options: "
#define IDS_OPTION_STARTSMINUS    " has parameter: "
#define IDS_OPTION_RCSET          "option -rc set, but file is not accessible: "
#define IDS_OPTION_WRONG_TYPE     "parameter has wrong format for option : "

#endif

/*************************************************************************
$Log: lang.h,v $
Revision 1.5  2000/07/09 18:12:17  hobbes
IDS_OPTION_STARTSMINUS

Revision 1.4  2000/07/07 20:10:47  hobbes
text zu IDS_ARG_DEBUG geaendert

Revision 1.3  2000/07/06 17:57:49  hobbes
test log

*************************************************************************/