// *********************************************************************
// *                                                                   *
// * (c) 1997-2004 Andreas Ziermann LOET.DE                            *
// *                                                                   *
// * These files are for reference only. You may not use these files   *
// * for commercial use without permit.                                *
// *                                                                   *
// * b@loet.de                                                         *
// *                                                                   *
// * 1.00 2004-07-04                                                   *
// *      first released                                               *
// *                                                                   *
// *********************************************************************

class MyArg : public AZArguments
{
public:

  AZFlagArgument   monoColors;
  AZStringArgument saveSectors;


  MyArg(int argc,char *argv[],char **env)
    :AZArguments(argc,argv,env,"Mr. Boot - Bootmanager-"
                 "Konfiguration","V"VERSION_STR,
                 FLAG_EXCLUDE_DEBUG_ARG | FLAG_EXCLUDE_QUIET_ARG )
    ,monoColors(*this,"mono","m","Farbpalette fr MDA/HERC-Grafik")
    ,saveSectors(*this,"save","s","Abspeichern aller Partitionstabellen",
                 "Dateiname",F_OPTIONAL,P_REQUIRED)
  {
    ProcessArguments();
  }
};
